jQuery(document).ready(function($){
	var form = $('#paystack_settings_form');
	$('#preloader').css('display', 'none');
	$('#alert').css('display', 'none');

	$('#submit').click(function(event){
		event.preventDefault();
		var formData = $(form).serialize();
		$('#preloader').css('display', '');

		// Submit the form using AJAX.
		$.ajax({
		    type: 'POST',
		    url: 'contents/plugins/paystack/ajax.php',
		    data: formData,
		    success: function(data) {
		    	data = JSON.parse(data);
		    	$("#preloader").css('display', 'none');
		    	if(data.error == 1) {
		    		$('#alert').css('display', '');
					$('#alert').removeClass("alert-success");
					$('#alert').removeClass("alert-warning");
					$('#alert').addClass("alert-danger");
					$('#alert span').html(data.msg);
		    	} else if(data.error == 0) {
		    		$('#alert').css('display', '');
					$('#alert').removeClass("alert-danger");
					$('#alert').removeClass("alert-warning");
					$('#alert').addClass("alert-success");
					$('#alert span').html(data.msg);
		    	}
				
		    },
		    error: function(e) {
		    	$("#preloader").css('display', 'none');
		    	$('#alert').css('display', '');
				$('#alert').removeClass("alert-danger");
				$('#alert').removeClass("alert-success");
				$('#alert').addClass("alert-warning");
				$('#alert span').html('Error in network connection');
		    }
		});
	});
})